Name:           anku-release       
Version:        7
Release:        1%{?dist}
Packager:       Paul Bernal <pbernal@ecualinux.com>
Summary:        Anku Panel Packages for Enterprise Linux repository configuration

Group:          System Environment/Base 
License:        GPLv2

# This is a Red Hat maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            http://anku.ecualinux.com/7
Source0:        GPL	
Source1:        anku.repo	

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
Requires:      redhat-release >=  %{version} 
Conflicts:     fedora-release

%description
This package contains the Anku Panel Packages for Enterprise Linux (ANKU) repository
configuration for yum and up2date.

%prep
%setup -q -c -T
install -pm 644 %{SOURCE0} .

%build


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Not needed for el7 as sources has been removed
#echo "# epel repo -- added by epel-release " \
#    >> %{_sysconfdir}/sysconfig/rhn/sources
#echo "yum epel http://download.fedora.redhat.com/pub/epel/%{version}/\$ARCH" \
#    >> %{_sysconfdir}/sysconfig/rhn/sources

%postun 
#sed -i '/^yum\ epel/d' %{_sysconfdir}/sysconfig/rhn/sources
#sed -i '/^\#\ epel\ repo\ /d' %{_sysconfdir}/sysconfig/rhn/sources


%files
%defattr(-,root,root,-)
%doc GPL
%config(noreplace) /etc/yum.repos.d/*
#/etc/pki/rpm-gpg/*


%changelog
* Sat Aug 23 2014 Paul Bernal <pbernal@ecualinux.com> - 7-1
- Setup for EL-7

* Wed Aug 15 2012 DonPool <pbernal@ecualinux.com> - 6-1
- Setup for EL-6
